Subject: Alternative option for IP-only L2VPN?//re: New Version Notification for draft-xu-virtual-subnet-02

From: Xu Xiaohu <[email-masked]>
Date: Thu, 26 Aug 2010 12:19:18 +0800

Hi,

I noticed that Virtual Subnet
(http://tools.ietf.org/html/draft-xu-virtual-subnet-02) is much similar with
IPLS (http://tools.ietf.org/wg/l2vpn/draft-ietf-l2vpn-ipls/) from the
perspective of service function (i.e., IP-only L2VPN). Besides, in both
approaches, the Ethernet MAC header of a unicast IP packet received from an
AC is stripped before forwarding the frame to the remote PE.

The major differences between them are as follows:

In IPLS, the Address List TLV as defined in LDP [RFC 3036] is used to
signal the MAC (and optionally IP) address of the local CE, besides, IP
traffic is forwarded from the AC to the PW based on the destination MAC
address of the layer 2 frame (and not based on the IP Header), although the
Ethernet MAC header of a unicast IP packet received from an AC is stripped
before forwarding the frame to the unicast pseudowire.

In VS, the proven BGP/MPLS VPN [RFC2547bis] is used to exchange connected
host routes for the local CE hosts which are automatically generated
according to the ARP cache entries of CE hosts. IP traffic is forwarded
based on the destination IP addresses just as what today's L3VPN does. 

Any comments?

Best wishes,
Xiaohu

> -----邮件原件-----
> 发件人: Xu Xiaohu [mailto:[email-masked]]
> 发送时间: 2010年8月24日 14:58
> 收件人: [email-masked]'; [email-masked]'
> 抄送: [email-masked]'
> 主题: fwd: New Version Notification for draft-xu-virtual-subnet-02
> 
> Hi all,
> 
> This is an updated version of Virtual Subnet (VS): A Scalable Data Center
> Network Architecture (see
> http://tools.ietf.org/html/draft-xu-virtual-subnet-02).
> 
> VS actually uses BGP/MPLS VPN technology [RFC4364] with some extensions,
> together with some other proven technologies including ARP proxy
> [RFC925][RFC1027] to build a scalable large IP subnet across the MPLS/IP
> backbone of the data center network. As a result, VS can be deployed today
as
> a scalable data center network.
> 
> I wonder whether Internet Area Working Group or Routing Area Working Group
is
> a suitable place to discuss this. By the way, since the draft is much
related
> to L3VPN, I also copy this email to the L3VPN WG mailing-list.
> 
> Best wishes,
> Xiaohu
> 
> [RFC925] Postel, J., "Multi-LAN Address Resolution", RFC-925, USC
> Information Sciences Institute, October 1984.
> [RFC1027] Smoot Carl-Mitchell, John S. Quarterman,” Using ARP to
Implement
> Transparent Subnet Gateways”, RFC 1027, October 1987.
> 
> -----邮件原件-----
> 发件人: IETF I-D Submission Tool [mailto:[email-masked]]
> 发送时间: 2010年8月24日 12:22
> 收件人: [email-masked]
> 主题: New Version Notification for draft-xu-virtual-subnet-02
> 
> 
> A new version of I-D, draft-xu-virtual-subnet-02.txt has been successfully
> submitted by Xiaohu Xu and posted to the IETF repository.
> 
> Filename:	 draft-xu-virtual-subnet
> Revision:	 02
> Title:		 Virtual Subnet: A Scalable Data Center Network
Architecture
> Creation_date:	 2010-08-24
> WG ID:		 Independent Submission
> Number_of_pages: 12
> 
> Abstract:
> This document proposes a scalable data center network architecture
> which, as an alternative to the Spanning Tree Protocol Bridge
> network, uses a Layer 3 routing infrastructure to provide scalable
> virtual Layer 2 network connectivity services.
> 
> 
> 
> The IETF Secretariat.